# Template

Table of Contents

###### Examples

Basic Usage

###### JavaScript Reference

Constructor
Requirements
Attributes
Properties
Methods

### Description

description

### Basic Usage

## JavaScript Refrerence

### Constructor

###### Extends Component

##### `new Template()`
`new Template(type param)`

#### Paramters

##### `param: type`

param_description

### Requirements

### Attributes

##### `attr: type`

attr_description

### Properties

##### `prop: type`

prop_description

### Methods

##### `method(type arg): return_type`

method_description